summaryrefslogtreecommitdiff
path: root/bin/src-unregister
diff options
context:
space:
mode:
authorSean Whitton <spwhitton@spwhitton.name>2017-02-14 07:18:27 -0700
committerSean Whitton <spwhitton@spwhitton.name>2017-02-14 07:18:27 -0700
commit86d385ae83a4274c72b1693a2534e8f7157bdf47 (patch)
tree9a004cc2149d3bd3e6f799c1c1722e46fd3c9255 /bin/src-unregister
parent251436c432dde8db508c5752354a9bd08f17de4f (diff)
downloaddotfiles-86d385ae83a4274c72b1693a2534e8f7157bdf47.tar.gz
start src-unregister script
Diffstat (limited to 'bin/src-unregister')
-rwxr-xr-xbin/src-unregister29
1 files changed, 29 insertions, 0 deletions
diff --git a/bin/src-unregister b/bin/src-unregister
new file mode 100755
index 00000000..7ad1cb03
--- /dev/null
+++ b/bin/src-unregister
@@ -0,0 +1,29 @@
+#!/usr/bin/perl
+
+# Script to remove repositories in ~/src, including removing their
+# entries from ~/src/.mrconfig. Confirmation is required only if the
+# repository has uncommitted changes, untracked files or unpushed
+# branches
+
+# For convenient tab-completion of the repository names, run this
+# script from ~/src
+
+use warnings;
+use strict;
+
+
+
+# if [ "$#" -ne 1 ]; then
+# echo >&2 "$(basename $0): usage: $(basename $0) REPO"
+# exit 1
+# fi
+
+# (
+# cd $HOME/src
+# repo="$1"
+
+# mr -d $repo status
+# echo
+
+# echo "Are you sure you want to delete?"
+# )